function [angleTurned] = turnAngleCyrus (port, turnAngle)
%similar to turnDistCyrus, just more stable than the regular turnAngle,
%also more accurate, the time for 1 degree turn was found experimentally
   if (turnAngle > 360 || turnAngle < -360) %sets range to +/- 360 degrees to avoid excess turning
        disp('Setting angle to be between +/- 360 degrees');
        if (turnAngle > 360)
            while (turnAngle > 360)
                turnAngle = turnAngle - 360;
            end
        else
            while (turnAngle < -360)
                turnAngle = turnAngle + 360;
            end
        end
    end
    
    if (turnAngle > 180) %Sets the degrees to the shortest path
        disp('Setting turn path to shortest route. Going to turn clockwise');
        turnAngle = turnAngle - 360;
    elseif (turnAngle < -180)
        disp('Setting turn path to shortest route. Going to turn counterclockwise');
        turnAngle = turnAngle + 360;
    end
    
    if (turnAngle < 0 ) % Makes sure the robot turns in the right direction
        turnDir = -1;
    else
        turnDir = 1;
    end
    
    
    %clear Angle Sensor
    AngleSensorRoomba(port);
    AngleSensorRoomba(port);
    angleTurned=0;
    
    %start turning
    SetDriveWheelsCreate(port,turnDir*.1,-turnDir*.1)
    pause(.0229*abs(turnAngle))
    
    %stop and reset Angle Sensor
    SetDriveWheelsCreate(port,0,0)
    angleTurned=AngleSensorRoomba(port);

    
end

